Record Class LoteRecebimentoBody
java.lang.Object
java.lang.Record
br.com.vantroba.bi.transporte.processamento.LoteRecebimentoBody
public record LoteRecebimentoBody(String conjuntoId, int total, List<LoteRecebimentoBody.Item> itens)
extends Record
Resposta do
POST /api/xls/processar: id do lote, total e status por entrada.-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final recordStatus de um arquivo do lote. -
Constructor Summary
ConstructorsConstructorDescriptionLoteRecebimentoBody(String conjuntoId, int total, List<LoteRecebimentoBody.Item> itens) Creates an instance of aLoteRecebimentoBodyrecord class. -
Method Summary
Modifier and TypeMethodDescriptionReturns the value of theconjuntoIdrecord component.final booleanIndicates whether some other object is "equal to" this one.static LoteRecebimentoBodyMonta o corpo a partir do resultado do serviço (mesmo pacote — sem ciclo entre camadas).final inthashCode()Returns a hash code value for this object.itens()Returns the value of theitensrecord component.final StringtoString()Returns a string representation of this record class.inttotal()Returns the value of thetotalrecord component.
-
Constructor Details
-
LoteRecebimentoBody
Creates an instance of aLoteRecebimentoBodyrecord class.- Parameters:
conjuntoId- the value for theconjuntoIdrecord componenttotal- the value for thetotalrecord componentitens- the value for theitensrecord component
-
-
Method Details
-
from
Monta o corpo a partir do resultado do serviço (mesmo pacote — sem ciclo entre camadas). -
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared withObjects::equals(Object,Object); primitive components are compared with thecomparemethod from their corresponding wrapper classes. -
conjuntoId
Returns the value of theconjuntoIdrecord component.- Returns:
- the value of the
conjuntoIdrecord component
-
total
public int total()Returns the value of thetotalrecord component.- Returns:
- the value of the
totalrecord component
-
itens
Returns the value of theitensrecord component.- Returns:
- the value of the
itensrecord component
-